using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class TblTemplatesAddColumns : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "EKDateCreated",
                table: "Templates");

            migrationBuilder.AddColumn<string>(
                name: "ClosingCode",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Duration",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "FullDescription",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Initiator",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Name",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ResponseArea",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Solution",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "TNK",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Work",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Worker",
                table: "Templates",
                type: "text",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ClosingCode",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "Duration",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "FullDescription",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "Initiator",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "Name",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "ResponseArea",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "Solution",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "TNK",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "Work",
                table: "Templates");

            migrationBuilder.DropColumn(
                name: "Worker",
                table: "Templates");

            migrationBuilder.AddColumn<DateTimeOffset>(
                name: "EKDateCreated",
                table: "Templates",
                type: "timestamp with time zone",
                nullable: true);
        }
    }
}
